%define prefix /usr
%define name dvblast
%define version 2.2
%define release %mkrel 2
%define url http://www.videolan.org/projects/dvblast.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL v2
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	DVBlast is a simple and powerful MPEG-2/TS demux and streaming appx.	
Summary(de):	DVBlast eine leichte & leistungsfähige MPEG-2/TS Demux & Streaming Appx.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	bitstream
Obsoletes:	%name < %version

%description
High-Performance Streaming

DVBlast is written to be the core of a custom IRD, CID, or ASI gateway, 
based on a PC with a Linux-supported card. It is very lightweight and 
stable, designed for 24/7 operation. 

DVBlast does not do any kind of processing on the elementary streams, 
such as transcoding, PID remapping or remultiplexing. If you were looking 
for these features, switch to VLC. It does not stream from plain files 
(have a look at multicat instead).

#german
%description -l de
DVBlast selektiert das zu übertragende Videosignal aus dem DVB-Datenstrom 
des Transponders und leitet die Daten an einen Client weiter. Auch PayTV, 
sofern die Smartcard per CAM/CI angeschlossen wird, soll DVBlast unterstützen. 
Das Programm ist als Kern für einen DVB-Player oder -Recorder gedacht.
%prep

%setup -q -n %{name}-%{version}

%build


%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std PREFIX=%prefix

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}ctl
%{_bindir}/%{name}_mmi.sh
%{_datadir}/man/man1/%{name}.1.bz2


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat May 11 2013 Texstar <texstar at gmail.com> 2.2-2pclos2013
- rebuild

* Thu Jun 21 2012 Neal <nealbrks0 at gmail dot com> 2.2-1pclos2012
- process

* Wed Jun 20 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.2-1pclos2012
- 2.2
- replaced libdvbpsi-devel by bitstream
- replaced manually install via mkdir install... by %makeinstall_std PREFIX=%prefix

* Thu Feb 17 2011 leiche <meisssw01 at aol.com> 1.2-1leiche2011
- import to pclinuxos
  
